Create Bank Account
curl --request POST \
--url https://api.prod.bastion.com/v2/issuance/bank-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity_id": "<string>",
"bank_account_details": {
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
}
}
'import requests
url = "https://api.prod.bastion.com/v2/issuance/bank-account"
payload = {
"identity_id": "<string>",
"bank_account_details": {
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identity_id: '<string>',
bank_account_details: {
bank_name: '<string>',
account_holder_name: '<string>',
account_number: '<string>',
routing_number: '<string>',
type: '<string>',
clabe: '<string>',
ifsc_code: '<string>',
bank_id: '<string>',
swift_or_bic_number: '<string>',
account_owner_type: '<string>',
first_name: '<string>',
last_name: '<string>',
bank_code: '<string>',
identifier_type: '<string>',
identifier_value: '<string>',
bank_account_number_type: '<string>'
}
})
};
fetch('https://api.prod.bastion.com/v2/issuance/bank-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identity_id: '<string>',
bank_account_details: {
bank_name: '<string>',
account_holder_name: '<string>',
account_number: '<string>',
routing_number: '<string>',
type: '<string>',
clabe: '<string>',
ifsc_code: '<string>',
bank_id: '<string>',
swift_or_bic_number: '<string>',
account_owner_type: '<string>',
first_name: '<string>',
last_name: '<string>',
bank_code: '<string>',
identifier_type: '<string>',
identifier_value: '<string>',
bank_account_number_type: '<string>'
}
})
};
fetch('https://api.prod.bastion.com/v2/issuance/bank-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/issuance/bank-account"
payload := strings.NewReader("{\n \"identity_id\": \"<string>\",\n \"bank_account_details\": {\n \"bank_name\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"type\": \"<string>\",\n \"clabe\": \"<string>\",\n \"ifsc_code\": \"<string>\",\n \"bank_id\": \"<string>\",\n \"swift_or_bic_number\": \"<string>\",\n \"account_owner_type\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"bank_code\": \"<string>\",\n \"identifier_type\": \"<string>\",\n \"identifier_value\": \"<string>\",\n \"bank_account_number_type\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.prod.bastion.com/v2/issuance/bank-account")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"identity_id\": \"<string>\",\n \"bank_account_details\": {\n \"bank_name\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"type\": \"<string>\",\n \"clabe\": \"<string>\",\n \"ifsc_code\": \"<string>\",\n \"bank_id\": \"<string>\",\n \"swift_or_bic_number\": \"<string>\",\n \"account_owner_type\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"bank_code\": \"<string>\",\n \"identifier_type\": \"<string>\",\n \"identifier_value\": \"<string>\",\n \"bank_account_number_type\": \"<string>\"\n }\n}")
.asString();val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"identity_id\": \"<string>\",\n \"bank_account_details\": {\n \"bank_name\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"type\": \"<string>\",\n \"clabe\": \"<string>\",\n \"ifsc_code\": \"<string>\",\n \"bank_id\": \"<string>\",\n \"swift_or_bic_number\": \"<string>\",\n \"account_owner_type\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"bank_code\": \"<string>\",\n \"identifier_type\": \"<string>\",\n \"identifier_value\": \"<string>\",\n \"bank_account_number_type\": \"<string>\"\n }\n}")
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/issuance/bank-account")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let parameters = [
"identity_id": "<string>",
"bank_account_details": [
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.prod.bastion.com/v2/issuance/bank-account")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/issuance/bank-account");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"identity_id\": \"<string>\",\n \"bank_account_details\": {\n \"bank_name\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"type\": \"<string>\",\n \"clabe\": \"<string>\",\n \"ifsc_code\": \"<string>\",\n \"bank_id\": \"<string>\",\n \"swift_or_bic_number\": \"<string>\",\n \"account_owner_type\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"bank_code\": \"<string>\",\n \"identifier_type\": \"<string>\",\n \"identifier_value\": \"<string>\",\n \"bank_account_number_type\": \"<string>\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/issuance/bank-account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identity_id\": \"<string>\",\n \"bank_account_details\": {\n \"bank_name\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"type\": \"<string>\",\n \"clabe\": \"<string>\",\n \"ifsc_code\": \"<string>\",\n \"bank_id\": \"<string>\",\n \"swift_or_bic_number\": \"<string>\",\n \"account_owner_type\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"bank_code\": \"<string>\",\n \"identifier_type\": \"<string>\",\n \"identifier_value\": \"<string>\",\n \"bank_account_number_type\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"identity_id": "<string>",
"bank_account_details": {
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
}
}Issuance
Create Bank Account
Create a bank account for a given identity
POST
/
v2
/
issuance
/
bank-account
Create Bank Account
curl --request POST \
--url https://api.prod.bastion.com/v2/issuance/bank-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity_id": "<string>",
"bank_account_details": {
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
}
}
'import requests
url = "https://api.prod.bastion.com/v2/issuance/bank-account"
payload = {
"identity_id": "<string>",
"bank_account_details": {
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identity_id: '<string>',
bank_account_details: {
bank_name: '<string>',
account_holder_name: '<string>',
account_number: '<string>',
routing_number: '<string>',
type: '<string>',
clabe: '<string>',
ifsc_code: '<string>',
bank_id: '<string>',
swift_or_bic_number: '<string>',
account_owner_type: '<string>',
first_name: '<string>',
last_name: '<string>',
bank_code: '<string>',
identifier_type: '<string>',
identifier_value: '<string>',
bank_account_number_type: '<string>'
}
})
};
fetch('https://api.prod.bastion.com/v2/issuance/bank-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identity_id: '<string>',
bank_account_details: {
bank_name: '<string>',
account_holder_name: '<string>',
account_number: '<string>',
routing_number: '<string>',
type: '<string>',
clabe: '<string>',
ifsc_code: '<string>',
bank_id: '<string>',
swift_or_bic_number: '<string>',
account_owner_type: '<string>',
first_name: '<string>',
last_name: '<string>',
bank_code: '<string>',
identifier_type: '<string>',
identifier_value: '<string>',
bank_account_number_type: '<string>'
}
})
};
fetch('https://api.prod.bastion.com/v2/issuance/bank-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/issuance/bank-account"
payload := strings.NewReader("{\n \"identity_id\": \"<string>\",\n \"bank_account_details\": {\n \"bank_name\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"type\": \"<string>\",\n \"clabe\": \"<string>\",\n \"ifsc_code\": \"<string>\",\n \"bank_id\": \"<string>\",\n \"swift_or_bic_number\": \"<string>\",\n \"account_owner_type\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"bank_code\": \"<string>\",\n \"identifier_type\": \"<string>\",\n \"identifier_value\": \"<string>\",\n \"bank_account_number_type\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.prod.bastion.com/v2/issuance/bank-account")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"identity_id\": \"<string>\",\n \"bank_account_details\": {\n \"bank_name\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"type\": \"<string>\",\n \"clabe\": \"<string>\",\n \"ifsc_code\": \"<string>\",\n \"bank_id\": \"<string>\",\n \"swift_or_bic_number\": \"<string>\",\n \"account_owner_type\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"bank_code\": \"<string>\",\n \"identifier_type\": \"<string>\",\n \"identifier_value\": \"<string>\",\n \"bank_account_number_type\": \"<string>\"\n }\n}")
.asString();val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"identity_id\": \"<string>\",\n \"bank_account_details\": {\n \"bank_name\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"type\": \"<string>\",\n \"clabe\": \"<string>\",\n \"ifsc_code\": \"<string>\",\n \"bank_id\": \"<string>\",\n \"swift_or_bic_number\": \"<string>\",\n \"account_owner_type\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"bank_code\": \"<string>\",\n \"identifier_type\": \"<string>\",\n \"identifier_value\": \"<string>\",\n \"bank_account_number_type\": \"<string>\"\n }\n}")
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/issuance/bank-account")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let parameters = [
"identity_id": "<string>",
"bank_account_details": [
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.prod.bastion.com/v2/issuance/bank-account")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/issuance/bank-account");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"identity_id\": \"<string>\",\n \"bank_account_details\": {\n \"bank_name\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"type\": \"<string>\",\n \"clabe\": \"<string>\",\n \"ifsc_code\": \"<string>\",\n \"bank_id\": \"<string>\",\n \"swift_or_bic_number\": \"<string>\",\n \"account_owner_type\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"bank_code\": \"<string>\",\n \"identifier_type\": \"<string>\",\n \"identifier_value\": \"<string>\",\n \"bank_account_number_type\": \"<string>\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/issuance/bank-account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identity_id\": \"<string>\",\n \"bank_account_details\": {\n \"bank_name\": \"<string>\",\n \"account_holder_name\": \"<string>\",\n \"account_number\": \"<string>\",\n \"routing_number\": \"<string>\",\n \"type\": \"<string>\",\n \"clabe\": \"<string>\",\n \"ifsc_code\": \"<string>\",\n \"bank_id\": \"<string>\",\n \"swift_or_bic_number\": \"<string>\",\n \"account_owner_type\": \"<string>\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"bank_code\": \"<string>\",\n \"identifier_type\": \"<string>\",\n \"identifier_value\": \"<string>\",\n \"bank_account_number_type\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"identity_id": "<string>",
"bank_account_details": {
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"type": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"clabe": "<string>",
"ifsc_code": "<string>",
"bank_id": "<string>",
"swift_or_bic_number": "<string>",
"account_owner_type": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"bank_code": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"bank_account_number_type": "<string>"
}
}Authorizations
Bearer authentication with an API token
Body
application/json